#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 17. Networking Libraries

- Prev

  cURL-7.75.0

- Next

  glib-networking-2.66.0

- Up
- Home

# GeoClue-2.5.7

## Introduction to GeoClue

GeoClue is a modular geoinformation service built on top of the D-Bus messaging system. The goal of the GeoClue project is to make creating location-aware applications as simple as possible.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://gitlab.freedesktop.org/geoclue/geoclue/-/archive/2.5.7/geoclue-2.5.7.tar.bz2

- Download MD5 sum: f6e731a21d458168eda613816797eb73

- Download size: 84 KB

- Estimated disk space required: 6.2 MB

- Estimated build time: less than 0.1 SBU

### GeoClue Dependencies

#### Required

JSON-GLib-1.6.2 and libsoup-2.72.0

#### Recommended

ModemManager-1.14.10, Vala-0.50.3, and Avahi-0.8

#### Optional

GTK-Doc-1.33.2 and libnotify-0.7.9

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/geoclue2

## Installation of GeoClue

Install GeoClue by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr -Dgtk-doc=false .. &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D3g-source=false`: This switch disables the 3G backend. Use it if you have not installed the ModemManager package.

`-Dmodem-gps-source=false`: This switch disables the modem GPS backend. Use it if you have not installed the ModemManager package.

`-Dcdma-source=false`: This switch disables the CDMA source backend. Use it if you have not installed the ModemManager package.

`-Dnmea-source=false`: This switch disables the NMEA source. Use it if you have not installed the Avahi package.

## Contents

Installed Programs: None
Installed Libraries: libgeoclue-2.so
Installed Directories: /etc/geoclue, /usr/include/libgeoclue-2.0, /usr/libexec/geoclue-2.0, and /usr/share/gtk-doc/html/{geoclue,libgeoclue}

Last updated on 2021-02-22 15:55:36 -0800

- Prev

  cURL-7.75.0

- Next

  glib-networking-2.66.0

- Up
- Home